Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   


Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker

Category:   Application (E-mail Client)  >   Microsoft Exchange Vendors:   Microsoft
Microsoft Exchange Buffer Overflow in Processing TNEF Messages Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1015460
SecurityTracker URL:
CVE Reference:   CVE-2006-0002   (Links to External Site)
Date:  Jan 10 2006
Impact:   Execution of arbitrary code via network, Root access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.0 SP2, 5.5 SP4, 2000 SP3 with Update Rollup 870540
Description:   A vulnerability was reported in Microsoft Exchange. A remote user can cause arbitrary code to be executed on the target user's system or on the target Exchange server.

The software does not properly decode Transport Neutral Encapsulation Format (TNEF) MIME attachments. A remote user can send a specially crafted TNEF message that, when previewed or opened by the target user, will trigger a buffer overflow and execute arbitrary code with System privileges.

A remote user may also be able to cause arbitrary code to be executed on the target server when the Microsoft Exchange Server Information Store processes the specially crafted message.

No user interaction is required.

Microsoft credits John Heasman and Mark Litchfield of NGS Software with reporting this vulnerability.

Impact:   A remote user can cause arbitrary code to be executed on the target user's system with System level privileges.

A remote user can cause arbitrary code to be executed on the target server.

Solution:   The vendor has issued the following fixes [including fixes for Outlook, which is also affected]:

Microsoft Outlook 2000:

Microsoft Office 2000 MultiLanguage Packs:

Microsoft Outlook 2000 English MultiLanguage Packs:

Microsoft Outlook 2002:

Microsoft Office XP Multilingual User Interface Packs:

Microsoft Outlook 2003:

Microsoft Office 2003 Multilingual User Interface Packs:

Microsoft Office 2003 Language Interface Packs:

Microsoft Exchange Server 5.0 Service Pack 2:

Microsoft Exchange Server 5.5 Service Pack 4:

Microsoft Exchange 2000 Server Pack 3 with the Exchange 2000 Post-Service Pack 3 Update Rollup of August 2004:

A restart is not generally required.

Vendor URL: (Links to External Site)
Cause:   Boundary error
Underlying OS:   Windows (Any)

Message History:   None.

 Source Message Contents

Date:  Tue, 10 Jan 2006 15:13:04 -0500
Subject:  Vulnerability in TNEF Decoding in Microsoft Outlook and Microsoft Exchange Could Allow Remote Code Execution (902412)


Go to the Top of This SecurityTracker Archive Page

Home   |    View Topics   |    Search   |    Contact Us

Copyright 2015, LLC